<ng4-loading-spinner [threshold]="10000" [loadingText]="'Please wait...'"> </ng4-loading-spinner>

<!-- <div class="container">
  <div class="row card">
    <div class="card-header">
      <i class="icon-map"></i>Battery Pack registration
    </div>
    <div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2 card-body"> -->
        <div class="container">
            <div class="row">
            <div class="col-sm-3"></div>

            <div class="col-sm-6">
                <mat-toolbar color="primary">Create Battery Pack</mat-toolbar>
              <mat-card class="example-card">

                <mat-card-content>
       <form [formGroup]="batteryForm" (ngSubmit)="onSubmit()">
        <!-- <div class="form-group">
          <label for="cellVendor">Cell Vendor<sup class="req">*</sup></label>
          <select
            formControlName="cellVendor"
            class="form-control">
            <option value="-1">- Click to Select Cell Vendor -</option>
            <option *ngFor="let u of cellVendors">{{ u }}</option>
          </select>
             <div *ngIf="batteryForm.get('cellVendor').invalid && batteryForm.get('cellVendor').touched"
              class="alert alert-danger">

              <div *ngIf="batteryForm.get('cellVendor').errors.min">
                Please select Cell Vendor.
              </div>
            </div>
        </div>  -->

        <mat-form-field class="form-group">
            <mat-label> Cell Vendor </mat-label>
            <mat-select formControlName="cellVendor" >
              <!-- <mat-option value="-1"
                >----Click to Select Vehicle Type----</mat-option> -->

              <mat-option *ngFor="let t of cellVendors" value= "{{t}}">{{ t }}</mat-option>
            </mat-select>
            <mat-error *ngIf="batteryForm.get('cellVendor').hasError('min')">
                Please select Cell Vendor
            </mat-error>
          </mat-form-field>

        <!-- <div class="form-group">
          <label for="bms">BMS<sup class="req">*</sup></label>
          <select
            formControlName="bms"
            class="form-control">
            <option value="-1">- Click to Select BMS -</option>
            <option *ngFor="let bms of bmsList">{{ bms.bmsId }}</option>
          </select>
             <div *ngIf="batteryForm.get('bms').invalid && batteryForm.get('bms').touched"
              class="alert alert-danger">

              <div *ngIf="batteryForm.get('bms').errors.min">
                Please select BMS.
              </div>
            </div>
        </div> -->

        <mat-form-field class="form-group">
            <mat-label> BMS </mat-label>
            <mat-select formControlName="bms" >
              <!-- <mat-option value="-1"
                >----Click to Select Vehicle Type----</mat-option> -->

              <mat-option *ngFor="let t of bmsList" value= "{{t.bmsId}}">{{ t.bmsId }}</mat-option>
            </mat-select>
            <mat-error *ngIf="batteryForm.get('bms').hasError('min')">
                Please select BMS
            </mat-error>
          </mat-form-field>

        <!-- <div class="form-group">
          <label for="dataLogger">Data Logger<sup class="req">*</sup></label>
          <select
            formControlName="dataLogger"
            class="form-control">
            <option value="-1">- Click to Select Data Logger -</option>
            <option *ngFor="let dl of dlList">{{ dl.dataLoggerId }}</option>
          </select>
             <div *ngIf="batteryForm.get('dataLogger').invalid && batteryForm.get('dataLogger').touched"
              class="alert alert-danger">

              <div *ngIf="batteryForm.get('dataLogger').errors.min">
                Please select Data Logger.
              </div>
            </div>
        </div> -->

        <mat-form-field class="form-group">
            <mat-label> Data Logger </mat-label>
            <mat-select formControlName="dataLogger" >
              <!-- <mat-option value="-1"
                >----Click to Select Vehicle Type----</mat-option> -->

              <mat-option *ngFor="let t of dlList" value= "{{t.dataLoggerId}}">{{ t.dataLoggerId }}</mat-option>
            </mat-select>
            <mat-error *ngIf="batteryForm.get('dataLogger').hasError('min')">
                Please select Data Logger
            </mat-error>
          </mat-form-field>

         <!-- <div class="form-group">
          <label for="cabinetVersion">Cabinet Version<sup class="req">*</sup></label>
          <input
              type="text"
              formControlName="cabinetVersion"
              class="form-control"
              placeholder="Enter Open Cabinet Version">
              <div *ngIf="batteryForm.get('cabinetVersion').invalid && batteryForm.get('cabinetVersion').touched"
              class="alert alert-danger">

              <div *ngIf="batteryForm.get('cabinetVersion').errors.required">
                Cabinet Version is required.
              </div>
            </div>
        </div> -->
        <mat-form-field class="form-group">
            <mat-label> Cabinet Version
              </mat-label>
            <input matInput placeholder="Enter Open Cabinet Version"  formControlName="cabinetVersion" class="formControl"/>
        <mat-error *ngIf="batteryForm.get('cabinetVersion').hasError('required')">Cabinet Version is required</mat-error>
          </mat-form-field>

        <!-- <div class="form-group">
          <label for="numOfCells">Number of Cells<sup class="req">*</sup></label>
          <select
            formControlName="numOfCells"
            class="form-control"
            (change)="changedNumber()">
            <option *ngFor="let n of numberofCells">{{ n }}</option>
          </select>
        </div> -->
        <mat-form-field class="form-group">
            <mat-label> Number of Cells </mat-label>
            <mat-select formControlName="numOfCells" [(ngModel)]= "this.numb_of_cells" (ngModelChange)="changedNumber()" >
              <!-- <mat-option value="-1"
                >----Click to Select Vehicle Type----</mat-option> -->

              <mat-option *ngFor="let t of numberofCells" value= "{{t}}">{{ t }}</mat-option>
            </mat-select>
          </mat-form-field>

        <!-- <div class="form-group">
          <label for="cells">Cells<sup class="req">*</sup></label>
          <angular2-multiselect [data]="dropdownList"
                                [(ngModel)]="selectedItems"
                                [settings]="dropdownSettings"
                                formControlName="cells">
           </angular2-multiselect>
        </div> -->

        <mat-form-field class="form-group">
            <mat-label> Cells </mat-label>
            <mat-select formControlName="cells"
            [settings]="dropdownSettings"
            [(ngModel)] = "selectedItems"
            multiple
             >
              <mat-option *ngFor="let t of dropdownList" value= "{{t.cellId}}">{{ t.cellId }}</mat-option>
            </mat-select>
            <mat-error *ngIf="!!this.batteryForm.controls.cells.hasError('minlength')">
              You have not selected {{this.numb_of_cells}} cells!
            </mat-error>
          </mat-form-field>


        <div class="form-group">
          <div *ngIf="selectedItems.length > 0"
            class="form-control">
            <ul>
              <li *ngFor="let item of selectedItems;let i = index">
                 <span class="badge" style="color:black">Cell Number - {{i+1}}:&nbsp;&nbsp;&nbsp;{{ item }}</span>
              </li>

            </ul>
          </div>
        </div>

              <div class="row">
                  <div class="col-sm-4"></div>
                  <div class="col-sm-4"></div>
                  <div class="col-sm-4">
                        <button
                           mat-raised-button color="primary"

           type="submit"
           [disabled]="batteryForm.invalid">Submit</button><br></div></div>
      </form>

  </mat-card-content>
</mat-card>

</div>
<div class="col-sm-3"></div>
</div></div>

